{
  "dynamic": "strict",
  "properties": {
    "id": {
      "type": "long"
    },
    "user_id": {
      "type": "long"
    },
    "content": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    "content_pre": {
      "type": "string",
      "index": "not_analyzed"
    },
    "good_click": {"type":"long"},
    //帖子内容
    "is_online": {
      "type": "boolean"
    },
    "status": {
      "type": "string"
    },
    "platform": {
      "type": "string"
    },
    "content_level": {
      "type": "string",
      "index": "not_analyzed"
    },
    "is_excellent": {
      "type": "boolean"
    },
    "create_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "last_modified": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "audit_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "tractate_score": {
      "type": "double"
    },
    "good_click_tractate_score": {
      "type": "double"
    },
    "tractate_tag_list": {
      "type": "long"
    },
    //标签列表
    "tractate_tag": {
      "type": "nested",
      "properties": {
        "id": {
          "type": "long"
        },
        "tag_name": {
          "type": "string",
          "index": "not_analyzed"
        },
        "recommend_type": {
          "type": "string",
          "index": "not_analyzed"
        },
        "tag_type": {
          "type": "string",
          "index": "not_analyzed"
        }
      }
    },
    "tractate_tag_name": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    "tractate_tag_name_content": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    //新标签
    "fresh_tractate_tag_list": {
      "type": "long"
    },
    "fresh_tractate_tag_name": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    "fresh_tractate_tag_name_content": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_search"
    },
    //相关标签
    "post_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "author": {
      "type": "string",
      "index": "not_analyzed"
    },
    "is_video": {
      "type": "boolean"
    },
    "hot_score": {
      "type": "long"
    },
    "last_any_reply_time": {
      "type": "date",
      "format": "date_time_no_millis"
    },
    "is_office": {
      "type": "long"
    },
    //作者
    "content_keyword":{"type":"string","index":"not_analyzed"},
    "content_star_keyword":{"type":"string","index":"not_analyzed"},
    "content_star_first_keyword":{"type":"string","index":"not_analyzed"},
    "title_keyword":{"type":"string","index":"not_analyzed"}
  }
}



